\begin{caml_primitive}
incr_num : num ref -> num
decr_num : num ref -> num
\end{caml_primitive}
\conceptindex{\verb"incr"}
\conceptindex{\verb"decr"}

When one has created a reference containing a number (whose type is 
\verb"num"), it is convenient to increment and decrement its value, using 
these two (primitive) functions semantically equivalent to:

\begin{small}
\begin{verbatim}
let incr_num i = i:= succ_num !i and decr_num i = i:= pred_num !i;;
\end{verbatim}
\end{small}
